Bug 18266 - add zip file handling to %setup
add zip file handling to %setup
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm-build (Show other bugs)
6.2
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Johnson
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-10-03 17:59 EDT by Need Real Name
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-12-13 13:06:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2000-10-03 17:59:32 EDT
Please add the ability to handle zip files to the %setup macro.
Most, if not all, java classes are distributed as zip archives, and
this will make building java rpm's cleaner.
Comment 1 Rodrigo Barbosa 2000-12-13 13:06:24 EST
Hey Jeff. I did this :-) Please, close the bug :-)
Comment 2 Jeff Johnson 2000-12-22 10:39:19 EST
Support for zip archives is added in rpm-4.0.1

Note You need to log in before you can comment on or make changes to this bug.